Subject: Re: linux-next: build failure after merge of the battery tree

From: Anton Vorontsov <[email-masked]>
Date: Tue, 27 Mar 2012 17:03:50 +0400

On Tue, Mar 27, 2012 at 08:44:14AM +1100, Stephen Rothwell wrote:
> Hi Anton,
> 
> On Mon, 26 Mar 2012 20:11:32 +0400 Anton Vorontsov <[email-masked]> wrote:
> >
> > I pulled my current battery tree into next-20120326, and I can't reproduce
> > the issue (using allmodconfig on x86_64).
> 
> I have moved the battery tree to after the mfd tree in my merge sequence
> so we will see if that helps.  I really hate having ordering dependencies
> in linux-next (since they change over time and people have to remember to
> tell me and to send stuff to Linus in the right order).  Also, it means
> that you are not testing exactly what you are sending to me - I assume
> that your testing must be including the mfd tree somehow.
> 
> These sort of things should be fixed by having the common code in a
> separate (stable) branch that is merged into both trees.  Or in some
> cases by merely cherry-picking a very small number of commits from one
> tree to the other.

Yes, I was thinking about cherry-picking a few MFD patches, but
decided not to as the driver is quite big and completely new, so
it would have some glitches anyway, and thus would need fixups.
One less, one more.

But for such drivers I usually give my 'Acked-by' so that
patches could be merged via single tree (i.e. mfd). But nobody
asked me in this case.

Thanks,

-- 
Anton Vorontsov
Email: [email-masked]